package main

import (
	"log"
	"net/http"
	"time"

	"code.revolvingcow.com/revolvingcow/loop/handlers"
	"github.com/gorilla/mux"
)

const (
	UserFile = "loop_users"
)

func main() {
	log.Print("Configuring environment...")
	time.Local = time.UTC
	ConfigureEnvironment()

	r := mux.NewRouter().StrictSlash(false)
	r.HandleFunc("/", handlers.DefaultHandler)

	content := r.PathPrefix("/{username}/content").Subrouter()
	content.Methods("GET").HandlerFunc(handlers.ContentHandler)

	blog := r.PathPrefix("/{username}/blog").Subrouter()
	blog.Methods("GET").HandlerFunc(handlers.BlogHandler)

	log.Fatal(http.ListenAndServe(address(), nil))
}
